Subject: [MLS] Hackathon at IETF 102?

From: Richard Barnes <[email-masked]>
Date: Tue, 26 Jun 2018 17:39:21 -0700

Hey all,

IETF 102 is approaching in a few weeks, so I wanted to see if anyone would
be interested in doing some work at the Hackathon.

I would propose we focus on ART and TreeKEM.  I'm planning to update the
protocol draft before the deadline on Monday so that it has syntax for
UserAdd, GroupAdd, and Update messages with both mechanisms (without all
the authentication packaging for the moment).  Given that syntax, we could
verify at the hackathon that implementations could correctly generate and
parse these messages, and we could do some basic performance testing to
compare the two approaches.

I've got both ART and TreeKEM implemented in JS (and could probably get C++
going as well), and would be up for implementing the syntax for the
hackathon.  Is there anyone else who wants to try getting interop?

Thanks,
--Richard